# ApplicationFramework
PTKernel
PColStd

# PColStd_FieldOfHArray1OfExtendedString Class Reference

`#include <PColStd_FieldOfHArray1OfExtendedString.hxx>`

Inheritance diagram for PColStd_FieldOfHArray1OfExtendedString:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColStd_FieldOfHArray1OfExtendedString ()
Standard_EXPORT | PColStd_FieldOfHArray1OfExtendedString (const Standard_Integer Size)
Standard_EXPORT | PColStd_FieldOfHArray1OfExtendedString (const PColStd_FieldOfHArray1OfExtendedString &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const PColStd_FieldOfHArray1OfExtendedString &Other)
void | operator= (const PColStd_FieldOfHArray1OfExtendedString &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PCollection_HExtendedString)&Value)
Standard_EXPORT Handle_PCollection_HExtendedString & | Value (const Standard_Integer Index) const
Handle_PCollection_HExtendedString & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~PColStd_FieldOfHArray1OfExtendedString ()

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PColStd_FieldOfHArray1OfExtendedString_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_FieldOfHArray1OfExtendedString::PColStd_FieldOfHArray1OfExtendedString | ( |  | ) |

Standard_EXPORT PColStd_FieldOfHArray1OfExtendedString::PColStd_FieldOfHArray1OfExtendedString | ( | const Standard_Integer | Size | ) |

Standard_EXPORT PColStd_FieldOfHArray1OfExtendedString::PColStd_FieldOfHArray1OfExtendedString | ( | const PColStd_FieldOfHArray1OfExtendedString & | Varray | ) |

PColStd_FieldOfHArray1OfExtendedString::~PColStd_FieldOfHArray1OfExtendedString | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void PColStd_FieldOfHArray1OfExtendedString::Assign | ( | const PColStd_FieldOfHArray1OfExtendedString & | Other | ) |

Standard_EXPORT void PColStd_FieldOfHArray1OfExtendedString::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void PColStd_FieldOfHArray1OfExtendedString::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColStd_FieldOfHArray1OfExtendedString::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColStd_FieldOfHArray1OfExtendedString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

Handle_PCollection_HExtendedString& PColStd_FieldOfHArray1OfExtendedString::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void PColStd_FieldOfHArray1OfExtendedString::operator= | ( | const PColStd_FieldOfHArray1OfExtendedString & | Other | ) | `[inline]`

Standard_EXPORT void PColStd_FieldOfHArray1OfExtendedString::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void PColStd_FieldOfHArray1OfExtendedString::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PCollection_HExtendedString)& | Value
| ) |

Standard_EXPORT Handle_PCollection_HExtendedString& PColStd_FieldOfHArray1OfExtendedString::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PColStd_FieldOfHArray1OfExtendedString_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PColStd_FieldOfHArray1OfExtendedString.hxx